<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>br.com.home</groupId>
	<artifactId>gestor-financeiro</artifactId>
	<packaging>war</packaging>
	<version>0.0.1-SNAPSHOT</version>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.3</version>
				<configuration>
					<source>1.7</source>
					<target>1.7</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>findbugs-maven-plugin</artifactId>
				<version>3.0.0</version>
			</plugin>
		</plugins>
	</build>
	
	<profiles>
		<profile>
			<id>desenvolvimento</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<build>
				<resources>
					<resource>
						<directory>conf/desenvolvimento</directory>
					</resource>
					<resource>
						<directory>src/main/resources</directory>
					</resource>
				</resources>
			</build>
		</profile>
	</profiles>

	<repositories>
		<repository>
			<id>tecsinapse</id>
			<name>Tecsinapse</name>
			<url>https://tools.portaltecsinapse.com.br/nexus/content/groups/public</url>
		</repository>
	</repositories>
	
	<reporting>
	    <plugins>
	      <plugin>
	        <groupId>org.codehaus.mojo</groupId>
	        <artifactId>findbugs-maven-plugin</artifactId>
	        <version>3.0.0</version>
	        <configuration>
	          <xmlOutput>true</xmlOutput>
	          <onlyAnalyse>br.com.home.*</onlyAnalyse>
	          <!-- Optional directory to put findbugs xdoc xml report -->
	          <xmlOutputDirectory>target/site</xmlOutputDirectory>
	        </configuration>
	      </plugin>
	    </plugins>
	  </reporting>

	<properties>
		<spring.version>3.0.5.RELEASE</spring.version>
		<spring.security.version>3.0.7.RELEASE</spring.security.version>
		<jpa.version>2.0.0</jpa.version>
		<junit.version>4.8</junit.version>
		<hibernate.version>3.5.6-Final</hibernate.version>
		<slf4j.version>1.6.1</slf4j.version>
		<aspectj.version>1.6.8</aspectj.version>
		<jodatime.version>2.1</jodatime.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<postgres.version>8.4-701.jdbc3</postgres.version>
		<jsf.version>2.2.10</jsf.version>
		<primefaces.version>6.0</primefaces.version>
	</properties>

	<dependencies>

		<dependency>
			<groupId>com.sun.faces</groupId>
			<artifactId>jsf-api</artifactId>
			<version>${jsf.version}</version>
		</dependency>
		<dependency>
			<groupId>com.sun.faces</groupId>
			<artifactId>jsf-impl</artifactId>
			<version>${jsf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-jpa</artifactId>
			<version>1.0.1.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate.javax.persistence</groupId>
			<artifactId>hibernate-jpa-2.0-api</artifactId>
			<version>1.0.1.Final</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
			<version>${hibernate.version}</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>${hibernate.version}</version>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
			<version>${spring.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aspects</artifactId>
			<version>${spring.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>${spring.version}</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-core</artifactId>
			<version>${spring.security.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-taglibs</artifactId>
			<version>${spring.security.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-config</artifactId>
			<version>${spring.security.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-web</artifactId>
			<version>${spring.security.version}</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>3.0.1</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.glassfish.hk2.external</groupId>
			<artifactId>javax.inject</artifactId>
			<version>1.6.12</version>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>${junit.version}</version>
		</dependency>
		<dependency>
			<groupId>postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<version>${postgres.version}</version>
		</dependency>
		<dependency>
			<groupId>joda-time</groupId>
			<artifactId>joda-time</artifactId>
			<version>${jodatime.version}</version>
		</dependency>

		<!-- jsf 2 -->
		<dependency>
			<groupId>org.primefaces</groupId>
			<artifactId>primefaces</artifactId>
			<version>${primefaces.version}</version>
		</dependency>

		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>20030211.134440</version>
		</dependency>

		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>

		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.1</version>
		</dependency>
		
		<dependency>
			<groupId>commons-dbcp</groupId>
			<artifactId>commons-dbcp</artifactId>
			<version>20030825.184428</version>
		</dependency>
		<dependency>
			<groupId>commons-pool</groupId>
			<artifactId>commons-pool</artifactId>
			<version>1.5.4</version>
		</dependency>
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.3.1</version>
		</dependency>
		<dependency>
		    <groupId>com.googlecode.flyway</groupId>
		    <artifactId>flyway-core</artifactId>
		    <version>2.3.1</version>
		</dependency>
		<dependency>
               <groupId>com.ocpsoft</groupId>
               <artifactId>prettyfaces-jsf2</artifactId>
               <version>3.3.3</version>
        </dependency>
		<dependency>
		  <groupId>org.quartz-scheduler</groupId>
		  <artifactId>quartz</artifactId>
		  <version>2.1.5</version>
		</dependency>
		<dependency>
		  <groupId>com.google.guava</groupId>
		  <artifactId>guava</artifactId>
		  <version>18.0</version>
		</dependency>
	</dependencies>
	

</project>